## tulip 6.0.1%2Bdfsg

=== tests/CMakeLists.txt ===
ADD_CORE_FILES(CMakeLists.txt)

PKG_SEARCH_MODULE(CppUnit cppunit REQUIRED)


if(WIN32)
MACRO(TULIP_FIND_EXTERNAL_LIB pattern result_var_name)
  UNSET(${result_var_name})
  UNSET(found_paths)
  FOREACH(win_path $ENV{CMAKE_LIBRARY_PATH} ${QT_BINARY_DIR} ${MINGW_BIN_PATH} ${CMAKE_LIBRARY_PATH})
    STRING(REPLACE "\\" "/" cmake_path "${win_path}")
    FILE(GLOB match "${cmake_path}/${pattern}")
    IF(match)
      GET_FILENAME_COMPONENT(match_absolute "${match}" ABSOLUTE)
      SET(found_paths ${found_paths} ${match_absolute})
    ENDIF(match)
  ENDFOREACH()
  IF(found_paths)
    LIST(REMOVE_DUPLICATES found_paths)
    SET(${result_var_name} ${found_paths})
  ENDIF(found_paths)
ENDMACRO(TULIP_FIND_EXTERNAL_LIB)

MACRO(TULIP_GET_DLL_NAME_FROM_IMPORT_LIBRARY import_library dll_name)
  UNSET(${dll_name})
  IF(MINGW)
    EXECUTE_PROCESS(COMMAND ${CMAKE_DLLTOOL} -I ${import_library} OUTPUT_VARIABLE DLL_FILENAME ERROR_VARIABLE DLLTOOL_ERROR)
    IF(DLLTOOL_ERROR)
      MESSAGE("${import_library} is not a valid import library (likely a copy of the associated dll). Please provide a valid one in order to determine the dll the application depends to.")
    ELSE(DLLTOOL_ERROR)
      STRING(STRIP ${DLL_FILENAME} ${dll_name})
    ENDIF(DLLTOOL_ERROR)
  ENDIF(MINGW)
  IF(MSVC)
    # Get path of MSVC compiler
    GET_FILENAME_COMPONENT(COMPILER_DIRECTORY ${CMAKE_CXX_COMPILER} DIRECTORY)
    # Get root path of Visual Studio
    IF(MSVC14)
      GET_FILENAME_COMPONENT(VS_DIR [HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\VisualStudio\\14.0\\Setup\\VS;ProductDir] REALPATH)
    ELSEIF(MSVC12)
      GET_FILENAME_COMPONENT(VS_DIR [HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\VisualStudio\\12.0\\Setup\\VS;ProductDir] REALPATH)
    ENDIF()
    # Add temporarily some paths to the PATH environment variable in order to locate some dlls needed to run lib.exe command (mspdb*.dll)
    SET(VS_IDE_DIR "${VS_DIR}/Common7/IDE")
    SET(VS_VC_BIN_DIR "${VS_DIR}/VC/bin")
    SET(PATH_BACKUP "$ENV{PATH}")
    SET(ENV{PATH} "${VS_IDE_DIR};${VS_VC_BIN_DIR};$ENV{PATH}")
    # Run the lib.exe command to list the content of the library file
    EXECUTE_PROCESS(COMMAND ${COMPILER_DIRECTORY}/lib.exe /list ${import_library} OUTPUT_VARIABLE LIBRARY_CONTENTS)
    # If the library is an import library, lib.exe outputs the associated dll name instead of the object files for a static library
    STRING(REGEX MATCH "[^\r?\n]+\\.dll" ${dll_name} ${LIBRARY_CONTENTS})
    # Restore original PATH environment variable value
    SET(ENV{PATH} "${PATH_BACKUP}")
  ENDIF(MSVC)
ENDMACRO(TULIP_GET_DLL_NAME_FROM_IMPORT_LIBRARY)
ENDIF(WIN32)

MACRO(UNIT_TEST)
  SET(TEST_NAME ${ARGV0})
  UNSET(TEST_SRCS)
  FOREACH(loop_var ${ARGN})
    STRING(REGEX MATCH ".*\\.cpp" TEST_SRC_FILE ${loop_var})
    IF(TEST_SRC_FILE)
      SET(TEST_SRCS ${TEST_SRCS} ${loop_var})
    ENDIF(TEST_SRC_FILE)
  ENDFOREACH()
  # this is a cpp[unit] test
  IF(TEST_SRCS)
    INCLUDE_DIRECTORIES(${TulipCoreBuildInclude} ${TulipCoreInclude} ${CppUnit_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/tests/include)
    LINK_DIRECTORIES(${CppUnit_LIBRARY_DIRS})
    ADD_EXECUTABLE(${TEST_NAME} ${TEST_SRCS})
    ADD_DEPENDENCIES(runTests ${TEST_NAME})
    TARGET_LINK_LIBRARIES(${TEST_NAME} ${LibTulipCoreName} ${CppUnit_LIBRARIES})
    ADD_TEST(NAME ${TEST_NAME} COMMAND ${TEST_NAME} ${TEST_NAME})
  # otherwise this is a Python test
  ELSE()
    SET(PYTHON_TEST_MODULE ${ARGV1})
    FILE(COPY ${PYTHON_TEST_MODULE}.py DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
    ADD_TEST(NAME ${TEST_NAME} COMMAND ${Python_EXECUTABLE} -m unittest ${PYTHON_TEST_MODULE} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
  ENDIF()
  # In order to run the tests on windows, we need to add the paths of the dll dependencies (cppunit, tulip, gzstream)
  # in the PATH environment variable
  IF(WIN32)
    IF(MINGW)
      STRING(REGEX MATCH ".*dll\\.a" IMPORT_LIBRARY ${CppUnit_LIBRARIES})
      STRING(REGEX MATCH ".*dll" DLL_LIBRARY ${CppUnit_LIBRARIES})
      IF(IMPORT_LIBRARY)
        TULIP_GET_DLL_NAME_FROM_IMPORT_LIBRARY(${CppUnit_LIBRARIES} CppUnitDllName)
      ELSEIF(DLL_LIBRARY)
        GET_FILENAME_COMPONENT(CppUnitDllName ${CppUnit_LIBRARIES} NAME)
      ENDIF()
    ELSE(MINGW)
      TULIP_GET_DLL_NAME_FROM_IMPORT_LIBRARY(${CppUnit_LIBRARIES} CppUnitDllName)
    ENDIF(MINGW)
    IF(CppUnitDllName)
      TULIP_FIND_EXTERNAL_LIB(${CppUnitDllName} CppUnitDllPath)
      IF(CppUnitDllPath)
        GET_FILENAME_COMPONENT(CppUnitDllDir ${CppUnitDllPath} DIRECTORY)
      ENDIF(CppUnitDllPath)
    ENDIF()
    SET(NEWPATH "${CppUnitDllDir};${CMAKE_LIBRARY_PATH};${QT_BINARY_DIR};${PYTHON_HOME_PATH};${CMAKE_BINARY_DIR}/thirdparty/gzstream/;${CMAKE_BINARY_DIR}/thirdparty/ftgl")
    SET(NEWPATH "${NEWPATH};${CMAKE_BINARY_DIR}/library/tulip-core/src;${CMAKE_BINARY_DIR}/library/tulip-ogl/src;${CMAKE_BINARY_DIR}/library/tulip-gui/src;$ENV{PATH}")
    SET(NEWPATH "${NEWPATH};${CMAKE_BINARY_DIR}/thirdparty/libtess2;${CMAKE_BINARY_DIR}/thirdparty/OGDF;${CMAKE_BINARY_DIR}/library/tulip-ogdf;${CMAKE_BINARY_DIR}/library/tulip-python/src;$ENV{PATH}")
    STRING(REPLACE "\\;" ";" NEWPATH "${NEWPATH}")
    STRING(REPLACE ";" "\\;" NEWPATH "${NEWPATH}")
  ELSE(WIN32)
    SET(NEWPATH "$ENV{PATH}")
  ENDIF(WIN32)
  # add Tulip modules path to PYTHONPATH in order to run the Python tests
  SET(PYTHONPATH "${CMAKE_BINARY_DIR}/library/tulip-python/modules/;${TULIP_PYTHON_ROOT_FOLDER};${TULIPGUI_PYTHON_ROOT_FOLDER}")
  IF(WIN32)
    STRING(REPLACE "\\;" ";" PYTHONPATH "${PYTHONPATH}")
    STRING(REPLACE ";" "\\;" PYTHONPATH "${PYTHONPATH}")
  ELSE(WIN32)
    STRING(REPLACE ";" ":" PYTHONPATH "${PYTHONPATH}")
  ENDIF(WIN32)
  # set tests environment
  SET_TESTS_PROPERTIES(${TEST_NAME} PROPERTIES ENVIRONMENT "TULIP_BUILD_DIR=${CMAKE_BINARY_DIR};PYTHONPATH=${PYTHONPATH};PATH=${NEWPATH}")
ENDMACRO(UNIT_TEST)

ADD_SUBDIRECTORY(library)

ADD_DEPENDENCIES(runTests copyTulipPluginsPyInBuild)

IF(NOT TULIP_BUILD_CORE_ONLY)
  ADD_SUBDIRECTORY(plugins)
ENDIF(NOT TULIP_BUILD_CORE_ONLY)

ADD_SUBDIRECTORY(python)
ADD_SUBDIRECTORY(external_plugins_build)

=== plugins/string/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${TulipCoreBuildInclude} ${TulipCoreInclude})
ADD_LIBRARY(ToLabels-${Tulip_VERSION} SHARED ToLabels.cpp)
TARGET_LINK_LIBRARIES(ToLabels-${Tulip_VERSION} ${LibTulipCoreName})
TULIP_INSTALL_PLUGIN(ToLabels-${Tulip_VERSION} ${TulipPluginsInstallDir})

=== tests/python/CMakeLists.txt ===
UNIT_TEST(PythonGraphStructureTest test_graph_structure)
UNIT_TEST(PythonGraphPropertiesTest test_graph_properties)
UNIT_TEST(PythonPluginParametersTest test_plugin_registration_and_parameters)

=== library/tulip-gui/src/CMakeLists.txt ===

SET(SRCS
  InteractorConfigWidget.cpp
  ColorScaleConfigDialog.cpp
  CopyPropertyDialog.cpp
  CSVGraphImport.cpp
  CSVGraphMappingConfigurationWidget.cpp
  CSVImportConfigurationWidget.cpp
  CSVImportWizard.cpp
  CSVParserConfigurationWidget.cpp
  CSVParser.cpp
  DoubleStringsListSelectionWidget.cpp
  DragHandle.cpp
  GlCompositeHierarchyManager.cpp
  GlMainView.cpp
  GlMainWidget.cpp
  GlOffscreenRenderer.cpp
  GraphPropertiesSelectionWidget.cpp
  ItemsListWidget.cpp
  MouseBoxZoomer.cpp
  MouseEdgeBendEditor.cpp
  MouseEdgeBuilder.cpp
  MouseInteractors.cpp
  MouseNodeBuilder.cpp
  MouseSelectionEditor.cpp
  MouseSelector.cpp
  MouseShowElementInfo.cpp
  NodeLinkDiagramComponent.cpp
  NodeLinkDiagramComponentInteractor.cpp
  ShapeDialog.cpp
  Perspective.cpp
  PropertyCreationDialog.cpp
  QtGlSceneZoomAndPanAnimator.cpp
  ZIPFacade.cpp
  RenamePropertyDialog.cpp
  SimplePluginProgressWidget.cpp
  SimpleStringsListSelectionWidget.cpp
  RangeSlider.cpp
  StringsListSelectionWidget.cpp
  StringsListSelectionDialog.cpp
  TextureFileDialog.cpp
  TlpQtTools.cpp
  TulipProject.cpp
  TulipSettings.cpp
  ParameterListModel.cpp
  TulipComboBox.cpp
  TulipItemDelegate.cpp
  TulipMetaTypes.cpp
  TulipItemEditorCreators.cpp
  ColorButton.cpp
  TulipModel.cpp
  ColorScaleButton.cpp
  View.cpp
  GlMainWidgetGraphicsItem.cpp
  ViewWidget.cpp
  InteractorComposite.cpp
  GLInteractor.cpp
  WorkspacePanel.cpp
  Interactor.cpp
  InteractorViewExplorer.cpp
  ProcessingAnimationItem.cpp
  Workspace.cpp
  PlaceHolderWidget.cpp
  GraphHierarchiesModel.cpp
  CoordEditor.cpp
  GlOverviewGraphicsItem.cpp
  SceneConfigWidget.cpp
  QuickAccessBar.cpp
  TulipFont.cpp
  TulipFontDialog.cpp
  ScrollPopupButton.cpp
  WorkspaceExposeWidget.cpp
  GraphTableItemDelegate.cpp
  StringEditor.cpp
  VectorEditor.cpp
  GlyphRenderer.cpp
  ClearableLineEdit.cpp
  CaptionItem.cpp
  CaptionGraphicsItem.cpp
  CaptionGraphicsSubItems.cpp
  GraphModel.cpp
  GraphElementModel.cpp
  SnapshotDialog.cpp
  TulipMimes.cpp
  SceneLayersModel.cpp
  SceneLayersConfigWidget.cpp
  TreeViewComboBox.cpp
  GlSimpleEntityItemModel.cpp
  PluginModel.cpp
  GraphNeedsSavingObserver.cpp
  ColorScalesManager.cpp
  ScientificDoubleSpinBox.cpp
  AboutTulipPage.cpp
  TulipFontIconDialog.cpp
  TulipFontIconEngine.cpp
  ViewActionsManager.cpp
  ViewGraphPropertiesSelectionWidget.cpp
  ViewToolTipAndUrlManager.cpp
  PythonIDEInterface.cpp
)

QTX_SET_INCLUDES_AND_DEFINITIONS()

ADD_COMPILE_DEFINITIONS(QT_DLL)
ADD_COMPILE_DEFINITIONS(QT_THREAD_SUPPORT)

SET(TLPGUI_PYTHON_COMPILE_DEFINITIONS PYTHON_VERSION="${PYTHON_VERSION}" PYTHON_FULL_VERSION="${PYTHON_VERSION}.${Python_VERSION_PATCH}")

INCLUDE_DIRECTORIES(${SIP_H_DIR} ${Python_INCLUDE_DIRS})
IF(MSYS2_PYTHON)
  SET(TLPGUI_PYTHON_COMPILE_DEFINITIONS ${TLPGUI_PYTHON_COMPILE_DEFINITIONS} MSYS2_PYTHON=1 PYTHON_HOME_PATH="${PYTHON_HOME_PATH}/../")
ENDIF(MSYS2_PYTHON)
SET_SOURCE_FILES_PROPERTIES(PythonIDEInterface.cpp
                              PROPERTIES COMPILE_DEFINITIONS "${TLPGUI_PYTHON_COMPILE_DEFINITIONS}")

QTX_WRAP_UI(UI_HEADERS
  ../designer/AboutTulipPage.ui
  ../designer/ColorScaleConfigDialog.ui
  ../designer/CoordEditor.ui
  ../designer/CopyPropertyDialog.ui
  ../designer/CSVGraphMappingConfigurationWidget.ui
  ../designer/CSVImportConfigurationWidget.ui
  ../designer/CSVImportWizard.ui
  ../designer/CSVParserConfigurationWidget.ui
  ../designer/CSVPropertyDialog.ui
  ../designer/DoubleStringsListSelectionWidget.ui
  ../designer/ElementInformationWidget.ui
  ../designer/GridOptionsWidget.ui
  ../designer/ManageGraphEltTooltipDialog.ui
  ../designer/ShapeDialog.ui
  ../designer/PropertyCreationDialog.ui
  ../designer/QuickAccessBar.ui
  ../designer/SceneConfigWidget.ui
  ../designer/SceneLayersConfigWidget.ui
  ../designer/SimplePluginProgressWidget.ui
  ../designer/SimpleStringsListSelectionWidget.ui
  ../designer/SnapshotDialog.ui
  ../designer/StringsListSelectionDialog.ui
  ../designer/TextureFileDialog.ui
  ../designer/TulipFontDialog.ui
  ../designer/TulipFontIconDialog.ui
  ../designer/VectorEditor.ui
  ../designer/Workspace.ui
  ../designer/WorkspacePanel.ui
  ../designer/InteractorConfigWidget.ui
  ../designer/ViewGraphPropertiesSelectionWidget.ui
)

QTX_WRAP_CPP(MOC_SRCS
  ../include/tulip/AboutTulipPage.h
  ../include/tulip/CaptionGraphicsItem.h
  ../include/tulip/CaptionGraphicsSubItems.h
  ../include/tulip/CaptionItem.h
  ../include/tulip/ColorButton.h
  ../include/tulip/ColorScaleButton.h
  ../include/tulip/ColorScaleConfigDialog.h
  ../include/tulip/CoordEditor.h
  ../include/tulip/CopyPropertyDialog.h
  ../include/tulip/CSVGraphMappingConfigurationWidget.h
  ../include/tulip/CSVImportConfigurationWidget.h
  ../include/tulip/CSVImportWizard.h
  ../include/tulip/CSVParserConfigurationWidget.h
  ../include/tulip/DoubleStringsListSelectionWidget.h
  ../include/tulip/DragHandle.h
  ../include/tulip/GLInteractor.h
  ../include/tulip/GlMainView.h
  ../include/tulip/GlMainWidget.h
  ../include/tulip/GlMainWidgetGraphicsItem.h
  ../include/tulip/GlOverviewGraphicsItem.h
  ../include/tulip/GlSimpleEntityItemModel.h
  ../include/tulip/GraphHierarchiesModel.h
  ../include/tulip/GraphNeedsSavingObserver.h
  ../include/tulip/GraphTableItemDelegate.h
  ../include/tulip/Interactor.h
  ../include/tulip/InteractorComposite.h
  ../include/tulip/ItemsListWidget.h
  ../include/tulip/NodeLinkDiagramComponent.h
  ../include/tulip/Perspective.h
  ../include/tulip/PlaceHolderWidget.h
  ../include/tulip/ProcessingAnimationItem.h
  ../include/tulip/PropertyCreationDialog.h
  ../include/tulip/QtGlSceneZoomAndPanAnimator.h
  ../include/tulip/QuickAccessBar.h
  ../include/tulip/SceneConfigWidget.h
  ../include/tulip/SceneLayersModel.h
  ../include/tulip/SceneLayersConfigWidget.h
  ../include/tulip/ScrollPopupButton.h
  ../include/tulip/SimplePluginProgressWidget.h
  ../include/tulip/SimpleStringsListSelectionWidget.h
  ../include/tulip/SnapshotDialog.h
  ../include/tulip/RangeSlider.h
  ../include/tulip/MouseShowElementInfo.h
  ../include/tulip/StringsListSelectionDialog.h
  ../include/tulip/TextureFileDialog.h
  ../include/tulip/TreeViewComboBox.h
  ../include/tulip/TulipFont.h
  ../include/tulip/TulipFontDialog.h
  ../include/tulip/TulipItemDelegate.h
  ../include/tulip/TulipMimes.h
  ../include/tulip/TulipModel.h
  ../include/tulip/TulipProject.h
  ../include/tulip/TulipSettings.h
  ../include/tulip/VectorEditor.h
  ../include/tulip/View.h
  ../include/tulip/ViewWidget.h
  ../include/tulip/WorkspacePanel.h
  ../include/tulip/Workspace.h
  ../include/tulip/WorkspaceExposeWidget.h
  ../include/tulip/TulipFontIconDialog.h
  ../include/tulip/ShapeDialog.h
  ../include/tulip/ViewActionsManager.h
  ../include/tulip/ViewToolTipAndUrlManager.h
  ../include/tulip/ViewGraphPropertiesSelectionWidget.h
)

QTX_ADD_RESOURCES(RCC_SRCS ../resources/TulipGUIResource.qrc)


ADD_LIBRARY(${LibTulipGUIName} SHARED ${SRCS} ${MOC_SRCS} ${RCC_SRCS} ${UI_HEADERS})
TARGET_INCLUDE_DIRECTORIES(${LibTulipGUIName} PUBLIC ${TulipGUIBuildInclude} ${TulipCoreBuildInclude} ${TulipCoreInclude} ${TulipOGLInclude} ${TulipGUIInclude} ${CMAKE_CURRENT_BINARY_DIR} ${ZLIB_INCLUDE_DIR} ${GLEW_INCLUDE_DIRS} ${OGDFInclude} ${OGDFBuildInclude}
                                                INTERFACE libzip::zip)
TARGET_LINK_LIBRARIES(${LibTulipGUIName} ${QT_LIBRARIES} ${LibTulipCoreName} ${LibTulipOGLName} libzip::zip)

INSTALL(TARGETS ${LibTulipGUIName}
  RUNTIME DESTINATION ${TulipBinInstallDir} COMPONENT tulip_gui
  LIBRARY DESTINATION ${TulipLibInstallDir} COMPONENT tulip_gui
  ARCHIVE DESTINATION ${TulipLibInstallDir} COMPONENT tulip_gui)

INSTALL(FILES ../resources/icons/tulip.ico DESTINATION ${TulipBitmapInstallDir})
INSTALL(FILES ../resources/icons/tulip-file-icon.ico DESTINATION ${TulipBitmapInstallDir})

=== library/tulip-ogl/src/CMakeLists.txt ===
SET(tulip-ogl_LIB_SRCS
  AbstractGlCurve.cpp
  AroundTexturedSphere.cpp
  Camera.cpp
  CubeOutLined.cpp
  Curves.cpp
  edgeExtremityArrow.cpp
  EdgeExtremityGlyph.cpp
  EdgeExtremityGlyphManager.cpp
  Gl2DRect.cpp
  GlAbstractPolygon.cpp
  GlAxis.cpp
  GlBezierCurve.cpp
  GlBoundingBoxSceneVisitor.cpp
  GlBox.cpp
  GlCatmullRomCurve.cpp
  GlCircle.cpp
  GlColorScale.cpp
  GlComplexPolygon.cpp
  GlComposite.cpp
  GlConvexGraphHull.cpp
  GlCPULODCalculator.cpp
  GlCubicBSplineInterpolation.cpp
  GlCurve.cpp
  GlEdge.cpp
  GlGlyphRenderer.cpp
  GlGraphComposite.cpp
  GlGraphRenderer.cpp
  GlGraphHighDetailsRenderer.cpp
  GlGraphInputData.cpp
  GlGraphRenderingParameters.cpp
  GlGraphStaticData.cpp
  GlGrid.cpp
  GlHexagon.cpp
  GlLabel.cpp
  GlLayer.cpp
  GlLine.cpp
  GlLines.cpp
  GlMetaNodeRenderer.cpp
  GlNode.cpp
  GlNominativeAxis.cpp
  GlOpenUniformCubicBSpline.cpp
  GlPentagon.cpp
  GlPolygon.cpp
  GlPolyQuad.cpp
  GlProgressBar.cpp
  GlQuad.cpp
  GlQuadTreeLODCalculator.cpp
  GlQuantitativeAxis.cpp
  GlRect.cpp
  GlRegularPolygon.cpp
  GlScene.cpp
  GlSceneObserver.cpp
  GlSceneZoomAndPan.cpp
  GlSelectSceneVisitor.cpp
  GlShaderProgram.cpp
  GlSimpleEntity.cpp
  GlSphere.cpp
  GlStar.cpp
  GlTextureManager.cpp
  GlTools.cpp
  GlTriangle.cpp
  GlVertexArrayManager.cpp
  GlXMLTools.cpp
  Glyph.cpp
  GlyphManager.cpp
  OpenGlConfigManager.cpp
  TulipFontAwesome.cpp
  TulipIconicFont.cpp
  TulipMaterialDesignIcons.cpp
)

INCLUDE_DIRECTORIES(${TulipCoreBuildInclude} ${TulipCoreInclude} ${TulipOGLInclude} ${PROJECT_SOURCE_DIR} ${FTGLInclude} ${FREETYPE_INCLUDE_DIRS} ${UTF8CppInclude})
INCLUDE_DIRECTORIES(${OPENGL_INCLUDE_DIR} ${GLEW_INCLUDE_DIRS} ${Tess2Include})
IF(TULIP_BUILD_GL_TEX_LOADER)
  INCLUDE_DIRECTORIES(${JPEG_INCLUDE_DIRS} ${PNG_INCLUDE_DIRS})
ENDIF(TULIP_BUILD_GL_TEX_LOADER)

ADD_LIBRARY (${LibTulipOGLName} SHARED ${tulip-ogl_LIB_SRCS})

IF(TULIP_BUILD_GL_TEX_LOADER)
  SET(JPEG_AND_PNG_LIBRARIES ${JPEG_LIBRARIES} ${PNG_LIBRARIES})
ENDIF(TULIP_BUILD_GL_TEX_LOADER)

TARGET_LINK_LIBRARIES(${LibTulipOGLName} PUBLIC ${FTGLLibrary}
                      ${LibTulipCoreName}
                      ${FREETYPE_LIBRARIES}
                      ${JPEG_AND_PNG_LIBRARIES}
                      INTERFACE GLEW::GLEW OpenGL::GL
                  )

INSTALL(TARGETS ${LibTulipOGLName}
  RUNTIME DESTINATION ${TulipBinInstallDir} COMPONENT tulip_ogl
  LIBRARY DESTINATION ${TulipLibInstallDir} COMPONENT tulip_ogl
  ARCHIVE DESTINATION ${TulipLibInstallDir} COMPONENT tulip_ogl)

=== library/tulip-python/include/CMakeLists.txt ===
INSTALL(FILES
  tulip/PythonInterpreter.h
  tulip/PythonInterpreter.cxx
  tulip/PythonCodeEditor.h
  tulip/PythonShellWidget.h
  tulip/APIDataBase.h
  tulip/AutoCompletionDataBase.h
  tulip/PythonEditorsTabWidget.h
  tulip/PythonCppTypesConverter.h
  tulip/PythonIDE.h
  tulip/PythonPanel.h
DESTINATION ${TulipIncludeInstallDir}/tulip/
COMPONENT tulip_python
)

=== plugins/clustering/Delaunay/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR} ${TulipCoreBuildInclude} ${TulipCoreInclude})

ADD_LIBRARY(Delaunay-${Tulip_VERSION} SHARED DelaunayTriangulation.cpp)
TARGET_LINK_LIBRARIES(Delaunay-${Tulip_VERSION} ${LibTulipCoreName})

ADD_LIBRARY(Voronoi-${Tulip_VERSION} SHARED VoronoiDiagram.cpp)
TARGET_LINK_LIBRARIES(Voronoi-${Tulip_VERSION} ${LibTulipCoreName})

TULIP_INSTALL_PLUGIN(Delaunay-${Tulip_VERSION} ${TulipPluginsInstallDir})
TULIP_INSTALL_PLUGIN(Voronoi-${Tulip_VERSION} ${TulipPluginsInstallDir})

=== plugins/layout/FORBID/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${TulipCoreBuildInclude} ${TulipCoreInclude})
FILE(GLOB LIB_SRCS "*.c*")

ADD_LIBRARY(FORBID-${Tulip_VERSION} SHARED ${LIB_SRCS})
TARGET_LINK_LIBRARIES(FORBID-${Tulip_VERSION}  ${LibTulipCoreName})

TULIP_INSTALL_PLUGIN(FORBID-${Tulip_VERSION} ${TulipPluginsInstallDir})

=== plugins/layout/FastOverlapRemoval/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${TulipCoreBuildInclude} ${TulipCoreInclude})
FILE(GLOB LIB_SRCS "*.cpp")

ADD_LIBRARY(FastOverlapRemoval-${Tulip_VERSION} SHARED ${LIB_SRCS})
TARGET_LINK_LIBRARIES(FastOverlapRemoval-${Tulip_VERSION} ${LibTulipCoreName})

TULIP_INSTALL_PLUGIN(FastOverlapRemoval-${Tulip_VERSION} ${TulipPluginsInstallDir})

=== plugins/view/ScatterPlot2DView/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${TulipCoreBuildInclude} ${TulipCoreInclude} ${TulipOGLInclude} ${TulipGUIInclude} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${GLEW_INCLUDE_DIRS})

SET(LIB_SRCS
    ScatterPlot2DView.cpp
    ScatterPlot2D.cpp
    ScatterPlot2DViewNavigator.cpp
    ScatterPlotTrendLine.cpp
    ScatterPlot2DOptionsWidget.cpp
    ScatterPlot2DInteractors.cpp
    ScatterPlotCorrelCoeffSelector.cpp
    ScatterPlotCorrelCoeffSelectorOptionsWidget.cpp
    ScatterPlotQuickAccessBar.cpp
)

QTX_WRAP_UI(LIB_UI_HEADERS
    ScatterPlot2DOptionsWidget.ui
    ScatterPlotCorrelCoeffSelectorOptionsWidget.ui
)

QTX_WRAP_CPP(LIB_MOC_SRCS
    ScatterPlot2DView.h
    ScatterPlot2DOptionsWidget.h
    ScatterPlotCorrelCoeffSelectorOptionsWidget.h
    ScatterPlotQuickAccessBar.h
)

QTX_ADD_RESOURCES(LIB_RCC_SRCS
    ScatterPlotResource.qrc
)

ADD_LIBRARY(ScatterPlot2DView-${Tulip_VERSION} SHARED ${LIB_SRCS} ${LIB_UI_HEADERS} ${LIB_MOC_SRCS} ${LIB_RCC_SRCS})

TARGET_LINK_LIBRARIES(ScatterPlot2DView-${Tulip_VERSION}
    PUBLIC ${LibTulipCoreName} ${LibTulipOGLName} ${LibTulipGUIName}
    INTERFACE OpenGL::GL)

TULIP_INSTALL_PLUGIN(ScatterPlot2DView-${Tulip_VERSION} ${TulipViewPluginsInstallDir})

=== plugins/view/TableView/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${TulipCoreBuildInclude} ${TulipCoreInclude} ${TulipOGLInclude} ${TulipGUIInclude} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})

SET(LIB_SRCS
TableView.cpp
PropertiesEditor.cpp
navigabletableview.cpp
)

QTX_WRAP_UI(UI_SRCS
TableView.ui
PropertiesEditor.ui
)

QTX_WRAP_CPP(MOC_SRCS
TableView.h
PropertiesEditor.h
navigabletableview.h
)

QTX_ADD_RESOURCES(RCC_SRCS TableView.qrc)

ADD_LIBRARY(TableView-${Tulip_VERSION} SHARED ${LIB_SRCS} ${MOC_SRCS} ${UI_SRCS} ${RCC_SRCS})

TARGET_LINK_LIBRARIES(TableView-${Tulip_VERSION} ${LibTulipCoreName} ${LibTulipOGLName} ${LibTulipGUIName})

TULIP_INSTALL_PLUGIN(TableView-${Tulip_VERSION} ${TulipViewPluginsInstallDir})

=== plugins/metric/Leiden/libleidenalg/CMakeLists.txt ===
cmake_minimum_required (VERSION 3.23)

# Add etc/cmake to CMake's search path so we can put our private stuff there
list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR}/etc/cmake)

include(version)

project(libleidenalg VERSION ${PACKAGE_VERSION_BASE})

include(GNUInstallDirs)
include(CMakePackageConfigHelpers)
include(packaging)

find_package(igraph 0.10 CONFIG REQUIRED)

# Set C++ standard version
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED True)

# Set default symbol visibility to hidden
set(CMAKE_C_VISIBILITY_PRESET hidden)
set(CMAKE_CXX_VISIBILITY_PRESET hidden)

# Expose the BUILD_SHARED_LIBS option in the ccmake UI
option(BUILD_SHARED_LIBS "Build shared libraries" ON)

add_subdirectory(src)
add_subdirectory(include)

configure_package_config_file(
  "${PROJECT_SOURCE_DIR}/libleidenalgConfig.cmake.in"
  "${PROJECT_BINARY_DIR}/libleidenalgConfig.cmake"
  INSTALL_DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/libleidenalg"
  PATH_VARS CMAKE_INSTALL_INCLUDEDIR CMAKE_INSTALL_LIBDIR
)
write_basic_package_version_file(
  "${CMAKE_CURRENT_BINARY_DIR}/libleidenalgConfigVersion.cmake"
  COMPATIBILITY SameMinorVersion)
install(
  FILES "${CMAKE_CURRENT_BINARY_DIR}/libleidenalgConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/libleidenalgConfigVersion.cmake"
  DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/libleidenalg"
  COMPONENT dev
)

export(
  TARGETS libleidenalg
  FILE "${PROJECT_BINARY_DIR}/libleidenalgTargets.cmake")
export(PACKAGE libleidenalg)

 install(
  TARGETS libleidenalg
  EXPORT libleidenalgTargets
  LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}" COMPONENT shlib
  FILE_SET headers
  DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/libleidenalg" COMPONENT dev
)
install(
  EXPORT libleidenalgTargets
  FILE libleidenalgTargets.cmake
  NAMESPACE libleidenalg::
  DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/libleidenalg"
  )

=== debian/changelog ===
tulip (6.0.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Do not mistake package version for API version

 -- Bastian Germann <bage@debian.org>  Fri, 29 Aug 2025 11:25:40 +0200

tulip (6.0.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Build with QtWebEngine instead of QtWebKit. (Closes: #1101128)
  * Build with sip6. (Closes: #1060728)

  [ James Turton ]
  * New upstream release:
    * the addition of a 'Dark' display mode (5.5)
    * the support of High DPI automatic scaling (5.5)
    * the ability to use slq LIKE patterns, in the Search dialog and
      Spreadsheet view configuration panel (5.5)
    * a new Second order centrality measure plugin (5.5)
    * the addition of Python 3.13 support (Closes: #1092993)
    * bugfixes for some OGDF layout algorithms (5.5.1)

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * Fix Maintainer name of Debian Science team (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Fix field name typo in debian/copyright (Comments => Comment).
  * Drop unnecessary dh arguments: --parallel
  * Add upstream metadata
  * Do not Build-Depend obsolete package: libfreetype6-dev => libfreetype-dev

 -- Bastian Germann <bage@debian.org>  Tue, 19 Aug 2025 00:39:13 +0200

tulip (5.4.0+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/patches/remove_distutils.patch: Add patch to remove use of distutils
    in the package.
  * d/control: Remove python3-distutils package from Build Dependency
    (Closes: #1065989).

 -- Emmanuel Arias <eamanu@debian.org>  Mon, 15 Jul 2024 21:55:41 -0300

=== debian/control ===
Source: tulip
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: James Turton <james@somecomputer.xyz>
Section: graphics
Priority: optional
Build-Depends: debhelper-compat (= 13),
               ca-certificates,
               cmake,
               ninja-build,
               doxygen,
               graphviz,
               libqhull-dev,
               libyajl-dev,
               libcppunit-dev,
               qtbase5-dev,
               libqt5opengl5-dev,
               qtwebengine5-dev,
               libzip-dev,
               libftgl-dev,
               libglew-dev,
               libpng-dev,
               libjpeg-dev,
               libfreetype-dev,
               libutfcpp-dev,
               python3,
               python3-sphinx,
               libpython3-dev,
               sip-tools,
               pkgconf,
               libgzstream-dev,
               libantlr-dev,
               docbook-to-man
Build-Conflicts: binutils-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/tulip
Vcs-Git: https://salsa.debian.org/science-team/tulip.git
Homepage: http://tulip.labri.fr/
Rules-Requires-Root: no

Package: tulip
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python3,
         fonts-dejavu-core,
         fonts-font-awesome,
         fonts-materialdesignicons-webfont,
         python3-sipbuild
Suggests: qtwayland5
Description: System dedicated to the visualization of huge data sets as graphs
 Tulip is an information visualization framework dedicated to the analysis and
 visualization of relational data.  It aims to provide the developer with a
 complete library, supporting the design of interactive information
 visualization applications for relational data that can be tailored to the
 problems he or she is addressing.
 .
 It includes the following features:
 .
  * 3D visualizations
  * 3D modifications
  * Plug-in support for easy evolution
  * Building of clusters and navigation into them
  * Automatic drawing of graphs
  * Automatic clustering of graphs
  * Automatic selection of elements
  * Automatic metric coloration of graphs

Package: libtulip-dev
Architecture: any
Section: libdevel
Depends: tulip (= ${binary:Version}),
         libc6-dev,
         ${misc:Depends}
Suggests: cmake
Enhances: qtcreator
Conflicts: libtulip-dev
Replaces: libtulip-ogl-dev,
          libtulip-qt4-dev
Description: Tulip graph library - core development files
 Headers and static libraries for tulip, a system dedicated to the
 visualization of huge graphs.  Also includes QtCreator templates.

Package: libtulip-core-6.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Tulip graph library - core runtime
 Runtime for tulip, a system dedicated to the visualization of huge graphs.
 .
 This is the core of the system, excluding the OpenGL rendering capabilities.

Package: libtulip-ogl-6.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Tulip graph library - OpenGL runtime
 Runtime for tulip, a system dedicated to the visualization of huge graphs.
 .
 This library contains the OpenGL rendering capabilities of the engine.

Package: libtulip-gui-6.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Tulip graph library - Qt/OpenGL GUI runtime
 Runtime for tulip, a system dedicated to the visualization of huge graphs.
 .
 This library contains the Qt/OpenGL GUI support.

Package: libtulip-python-6.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libtulip-python
Provides: libtulip-python
Description: Tulip graph library - Python support
 Runtime for tulip, a system dedicated to the visualization of huge graphs.
 .
 This library contains the Python scripting support.

Package: libogdf-tulip-6.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Open Graph Drawing Framework shared library, built for Tulip
 This is the Open Graph Drawing Framework library, built as a shared
 lib as required by Tulip.
